# SpeexBits Struct Reference
[SpeexBits: Bit-stream manipulations]

`#include <speex_bits.h>`

List of all members.

## Public Attributes

char * | chars
int | nbBits
int | charPtr
int | bitPtr
int | owner
int | overflow
int | buf_size
int | reserved1
void * | reserved2

## Detailed Description

Bit-packing data structure representing (part of) a bit-stream.

## Member Data Documentation

char* SpeexBits::chars

"raw" data

int SpeexBits::nbBits

Total number of bits stored in the stream

int SpeexBits::charPtr

Position of the byte "cursor"

int SpeexBits::bitPtr

Position of the bit "cursor" within the current char

int SpeexBits::owner

Does the struct "own" the "raw" buffer (member "chars")

int SpeexBits::overflow

Set to one if we try to read past the valid data

int SpeexBits::buf_size

Allocated size for buffer

int SpeexBits::reserved1

Reserved for future use

void* SpeexBits::reserved2

Reserved for future use

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/include/speex/speex_bits.h